#include <bits/stdc++.h>
using namespace std;
int k,a[10000];
int ktra(int n)
{
    if (n==0)
        return -1;
    else if (a[n]==k)
        return(n+1);
    else ktra(n-1);

}
int main()
{
    ifstream f1 ("tknp.inp");
    ofstream f2 ("tknp.out");
    int n;
    f1>>n>>k;
    for(int i=0;i<n;i++)
    {
        f1>>a[i];
    }
    f2<<ktra(n);
}
